Codevisor Docs
Api reference

PUT Workspaces WorkspaceId Panes PaneId

PUT/v1/workspaces/{workspaceId}/panes/{paneId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string
paneId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id?string|null
providerId*string
paneType*string
title*string
resourceKind?string|null
resourceId?string|null
metadata?string|null
createdAt?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/workspaces/string/panes/string" \  -H "Content-Type: application/json" \  -d '{    "providerId": "string",    "paneType": "string",    "title": "string"  }'
{  "id": "string",  "workspaceId": "string",  "providerId": "string",  "paneType": "string",  "title": "string",  "resourceKind": "string",  "resourceId": "string",  "metadata": "string",  "revision": 0,  "createdAt": "string",  "updatedAt": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}